> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voyantcloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Booking

> Update an existing booking.

## Method

`PATCH` `/v1/bookings/:id`

## Path Parameters

<ParamField path="id" type="string" required>Booking ID</ParamField>

## Body Parameters

<ParamField path="status" type="string">Booking status</ParamField>
<ParamField path="notes" type="string">Internal notes</ParamField>

## Headers

<ParamField header="Authorization" type="string" required>Bearer token (e.g. <code>Authorization: Bearer YOUR\_API\_KEY</code>)</ParamField>
<ParamField header="content-type" type="string">application/json</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH https://api.voyantcloud.com/v1/bookings/bkg_456def \
    -H "Authorization: Bearer YOUR_API_KEY" \
    -H "content-type: application/json" \
    -d '{ "notes": "VIP" }'
  ```

  ```javascript Node.js theme={null}
  await fetch("https://api.voyantcloud.com/v1/bookings/bkg_456def", {
    method: "PATCH",
    headers: { Authorization: `Bearer ${process.env.VOYANT_API_KEY}`, "content-type": "application/json" },
    body: JSON.stringify({ notes: "VIP" }),
  })
  ```

  ```python Python theme={null}
  import os, requests
  requests.patch(
    "https://api.voyantcloud.com/v1/bookings/bkg_456def",
    headers={"Authorization": f"Bearer {os.environ['VOYANT_API_KEY']}", "content-type": "application/json"},
    json={"notes": "VIP"},
  )
  ```
</RequestExample>

<ResponseExample>
  ```json 200 OK theme={null}
  {
    "id": "bkg_456def",
    "status": "confirmed",
    "notes": "VIP"
  }
  ```
</ResponseExample>
